<?php
  function getAndUpdateCounter()
  {
    
    try{
      $db = new SQLite3("/var/wwwdata/licznik.db", SQLITE3_OPEN_READWRITE);
    }
    catch(Exception $e){
      //echo 'Wystąpił błąd podczas próby połączenia z bazą...<br>';
      //echo 'Komunikat błędu:' . $e->getMessage();
      return false;
    }

    $query = 'SELECT Hits FROM licznik';

    if(!$result = $db->query($query)){
      //echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
      unset($db);
      return false;
    }

    if($row = $result->fetchArray(SQLITE3_NUM)){
      $counter = $row[0];
    }
    else{
      unset($db);
      //echo 'Błąd w danych';
      return false;
    }

    $query = "UPDATE licznik SET Hits = Hits + 1";

    if(!$db->exec($query)){
      unset($db);
      //echo 'Wystąpił błąd podczas aktualizacji danych. <br>';
      return false;
    }

    unset($db);
    return $counter;
  }
?>
